Description

Host configuration technique only allow usage of values to be exact ip (regexp)

This regexp should allow variable to be used (ie sys.ipv4)

Associated revisions

Revision d26155df - 2017-10-16 16:33 - Vincent MEMBRÉ

Fixes #11449: Allow variable as directive parameters in regexp validated inputs

Revision ac90b46c - 2017-10-16 16:33 - Vincent MEMBRÉ

Fixes #11449: Allow variable as directive parameters in regexp validated inputs

History

#1 - 2017-09-29 09:48 - Vincent MEMBRÉ

File to modify is : ./techniques/systemSettings/networking/hostsConfiguration/2.0/metadata.xml

Variable is : HOSTS_IP

#2 - 2017-09-29 10:13 - Vincent MEMBRÉ

This problem should be resolved on a higher level, we don't want to fix every regexp field in every technique and maintain that.

We want to change how we check regex constraint by checking if the value contains a variable or not and accepting if this the case.

All possible case:

Only Value: 192.168.42.1

Only Variable: ${sys.ipv4}

Mix of Variable and Value: 192.168.${node.properties[subnet]}.1

#3 - 2017-10-13 14:15 - Vincent MEMBRÉ

- Status changed from New to In progress

- Assignee set to Vincent MEMBRÉ

2018-06-22 1/2



#4 - 2017-10-13 15:25 - Vincent MEMBRÉ

- Status changed from In progress to Pending technical review

- Assignee changed from Vincent MEMBRÉ to François ARMAND

- Pull Request set to https://github.com/Normation/rudder/pull/1757

PR https://github.com/Normation/rudder/pull/1757

#5 - 2017-10-13 16:40 - Nicolas CHARLES

ticket name & commit name should probably be changed to "don't try to validate by regex entry that contains variables"

#6 - 2017-10-16 16:22 - Vincent MEMBRÉ

- Subject changed from Hosts technique does not allow to use $sys.ipv4 or any other variable to Allow variable as directive parameters in regexp

validated inputs 

#7 - 2017-10-16 23:50 - Vincent MEMBRÉ

- Status changed from Pending technical review to Pending release

Applied in changeset rudder|d26155df5c9793e1b8550d6b09d728505b045d49.

#8 - 2017-10-30 18:42 - Vincent MEMBRÉ

- Status changed from Pending release to Released

This bug has been fixed in Rudder 4.1.8 and 4.2.1 which were released today.

4.1.8: Announce Changelog

4.2.1: Announce Changelog

Download: https://www.rudder-project.org/site/get-rudder/downloads/
